%define	name	wdm
%define	version	1.16
%define	release	1
%define	serial	1

Summary:	WINGs Display Manager.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		User Interface/X
URL:		http://cortex.unice.fr/~jerome/WindowMaker/wdm
Vendor:		Jerome Alet <alet@unice.fr>
Source:		%{name}-%{version}.tar.gz
Source1:	wdm.init
BuildRoot:	/var/tmp/%{name}-%{version}
Requires:	libPropList, WindowMaker, XFree86

Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
Wdm combines the functions of a graphical display manager identifying and
authenticating a user on a system with some of the functions of a
session manager in selecting and starting a window manager.  Optionally,
wdm can shutdwn (rebott or halt) the system.

%prep
%setup -q
CFLAGS=$RPM_OPT_FLAGS \
  ./configure \
	--enable-pam \
	--prefix=/usr/X11R6 \
	--with-wdmdir=/etc/X11/wdm

%build
make

%install
if [ -d $RPM_BUILD_ROOT ] && [ ! -L $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Installing init script.
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/wdm

%post 
/etc/X11/wdm/wdmReconfig
/sbin/chkconfig --add wdm

%preun
/sbin/chkconfig --del wdm

%clean
if [ -d $RPM_BUILD_ROOT ] && [ ! -L $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.pam TODO
%config /etc/X11/wdm
/etc/rc.d/init.d/wdm
/etc/pam.d/wdm
/usr/X11R6/bin/wdm
/usr/X11R6/bin/wdmLogin
/usr/X11R6/man/man1/wdm.1
/usr/X11R6/man/man1/wdmLogin.1

%changelog
* Thu Jul  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [wdm-1.16-1]
- Upgraded to wdm-1.16.
- Re wrote spec file.
- Including an init script to start wdm on boot.

